Subject: bug#61782: closed (Re: bug#61782: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure])

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Feb 2023 06:57:02 +0000

Your bug report

#61782: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure]

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61782: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61782
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61782: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure]
From: Eli Zaretskii <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 26 Feb 2023 08:56:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 25 Feb 2023 15:38:38 -0800
> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2023-02-25 01:49, Eli Zaretskii wrote:
> 
> > The second one is due to m4/xattr.m4.  Paul, this test should not be
> > run on MS-Windows (although running it is mostly harmless), as xattr
> > will not be supported there.
> 
> Perhaps something like the attached untested patch? Please feel free to 
> install it if it works.

Thanks, installed.

Subject: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure]
From: Angelo Graziosi <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 25 Feb 2023 09:45:56 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that building Emacs (master) on Windows with MSYS2/MINGW64 now shows these warnings

$ ./autogen.sh
[...]
Running 'autoreconf -fi -I m4' ...
ac-wrapper: autoreconf: warning: auto-detected versions not found ( ); falling back to latest available
You can now run './configure'.

./configure
[...]
checking for xattr library with ATTR_ACTION_PERMISSIONS... no
configure: WARNING: libattr development library was not found or not usable.
configure: WARNING: GNU Emacs will be built without xattr support.
checking whether readlink signature is correct... yes
[...]

I wonder if they are to be expected and if we can do something to avoid them.

Thanks,
 Angelo.